Skip to content
Start here

Stop livestreaming a meeting

realtime_kit.livestreams.stop_livestreaming_a_meeting(strmeeting_id, LivestreamStopLivestreamingAMeetingParams**kwargs) -> LivestreamStopLivestreamingAMeetingResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream/stop

Stops the active livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
ReturnsExpand Collapse
class LivestreamStopLivestreamingAMeetingResponse:
data: Optional[Data]
message: Optional[str]
success: Optional[bool]

Stop livestreaming a meeting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.livestreams.stop_livestreaming_a_meeting(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}